Retorna detalhes do pagamento
curl --request GET \
--url https://backend-pied-prod.piedadmin.com.br/api/v2/payments/{paymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend-pied-prod.piedadmin.com.br/api/v2/payments/{paymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend-pied-prod.piedadmin.com.br/api/v2/payments/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "pix",
"condition": {
"name": "À vista",
"quantityOfInstallments": 1,
"conditionType": "notUpdate",
"modifierType": "percentage",
"value": 10
},
"transactionStatus": "pending",
"transactionId": "AAABBB123AA",
"authorizationNsu": "123123",
"authorizationCode": "123123",
"paidAt": "2025-01-01T00:00",
"creditCard": {
"brand": "visa",
"last4digits": "1234",
"first6digits": "123456",
"holderName": "John Doe"
},
"total": 123,
"subtotal": 123
}Pagamentos
Retorna detalhes do pagamento
GET
/
payments
/
{paymentId}
Retorna detalhes do pagamento
🚀 API v2 (Recomendada) - Use este endpoint para novos projetos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Available options:
pix, boleto, debito, credito, financiamento, other Show child attributes
Show child attributes
Available options:
pending, pre_approved, approved, canceled, voided, failed, unknown Example:
"pending"
Example:
"AAABBB123AA"
Example:
"123123"
Example:
"123123"
Example:
"2025-01-01T00:00"
Show child attributes
Show child attributes